MISSINdevelopersLog in

API reference

IncentiveDetail

Get one incentive by id with its rules, grants and limits. Read access, incentives toolset, MCP tool get_incentive.

Access: Read

Variables

VariableTypeRequiredAcceptsDescription
idUUID!yes

Call it

bash
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"IncentiveDetail","variables":{"id":"00000000-0000-0000-0000-000000000000"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"33f3470af52d52d24cc1753a5c3e045f26aecd902d236d28900523967be6475c"}}}'

Document

graphql
fragment IncentiveRow on Incentive { __typename audience createdAt description formByFormId { __typename formSlug id rowId status title } icon iconColor id grants: incentiveGrantsByIncentiveId { __typename aggregates { __typename sum { __typename valueEstimate } } totalCount } redeemed: incentiveGrantsByIncentiveId(condition: {status: REDEEMED}) { __typename totalCount } rules: incentiveRulesByIncentiveId(orderBy: [PRIMARY_KEY_ASC]) { __typename nodes { __typename connectionId discountCodeByDiscountCodeId { __typename code discountPlacementsByDiscountCodeId { __typename totalCount } id rowId } discountCodeId id kindSlug outcome rowId terms } totalCount } limitCount limitPeriod name rowId status tier } query IncentiveDetail($id: UUID!) { __typename incentiveByRowId(rowId: $id) { __typename ...IncentiveRow } }

For AI agents: a markdown index of this site is at /llms.txt, and every page is available as markdown by adding .md to its URL.